package redigo // import "gopkg.in/DataDog/dd-trace-go.v1/contrib/garyburd/redigo"

type dialConfig struct{ serviceName string }

// DialOption represents an option that can be passed to Dial.
type DialOption func(*dialConfig)

func defaults(cfg *dialConfig) {
	cfg.serviceName = "redis.conn"
}

// WithServiceName sets the given service name for the dialled connection.
func WithServiceName(name string) DialOption {
	return func(cfg *dialConfig) {
		cfg.serviceName = name
	}
}
